# based on Fedora package: thanks


Name:		bip
Version:	0.8.8
%define subrel	3
Release:	%mkrel 5
Summary:	IRC Bouncer (proxy)
Group:		Networking/IRC
License:	GPLv2+
URL:		http://bip.milkypond.org/
Source0:	https://projects.duckcorp.org/attachments/download/20/bip-%{version}.tar.gz
Source1:	bip.init
Source2:	bip.logrotate
Source3:        bip.service
Patch0:		bip-conf.patch
# comes from upstream and debian
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=657217
Patch1:		bip-CVE-2012-0806.patch
# upstream patch linked in redhat bug
# https://bugzilla.redhat.com/show_bug.cgi?id=1028605
Patch2:		bip-CVE-2013-4550.patch
BuildRequires:	openssl-devel
BuildRequires:	flex
BuildRequires:	byacc
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
Bip is an IRC proxy, which means it keeps connected to your preferred IRC
servers, can store the logs for you, and even send them back to your IRC
client(s) upon connection.
You may want to use bip to keep your logfiles (in a unique format and on a
unique computer) whatever your client is, when you connect from multiple
workstations, or when you simply want to have a playback of what was said
while you were away.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
iconv -f iso-8859-1 -t utf-8 -o ChangeLog{.utf8,}
mv ChangeLog{.utf8,}

%build
export CFLAGS="%{optflags} -DPIC -fPIC"
%configure2_5x
%make CFLAGS="%{optflags} -DPIC -fPIC"

%install
%makeinstall_std
# Remove misplaced files
rm -rf %{buildroot}%{_defaultdocdir}/bip
mkdir -p %{buildroot}%{_sysconfdir}
# Install bip.conf
install -m 644 samples/bip.conf %{buildroot}%{_sysconfdir}/bip.conf
# Install initscript
mkdir -p %{buildroot}%{_initrddir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/bip

# Install logrotate
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
install -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/bip


mkdir -p %{buildroot}%{_localstatedir}/run/bip
mkdir -p %{buildroot}%{_localstatedir}/log/bip

# Install systemd service file
install -d -m 755 %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE3} %{buildroot}%{_unitdir}/

%pre
%_pre_useradd %name / /bin/sh 

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %name


%files
%defattr(0755,root,root,-)
%doc AUTHORS ChangeLog README TODO
%doc samples/bip.vim
%{_bindir}/bip
%{_bindir}/bipmkpw
%{_mandir}/man1/bip.1*
%{_mandir}/man5/bip.conf.5*
%config(noreplace) %{_sysconfdir}/bip.conf
%{_sysconfdir}/logrotate.d/bip
%{_initrddir}/bip
%{_unitdir}/bip.service
%attr(-,bip,bip) %dir %{_localstatedir}/run/bip
%attr(-,bip,bip) %dir %{_localstatedir}/log/bip


%changelog
* Thu Nov 21 2013 luigiwalser <luigiwalser> 0.8.8-5.3.mga2
+ Revision: 552172
- add upstream patch to fix CVE-2013-4550
- fix postun script (mga #4319)
- add upstream patch to fix CVE-2012-0806

  + tmb <tmb>
    - Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 0.8.8-4.mga2
+ Revision: 233511
- rebuild for versioned rpm-helper requires

* Wed Apr 18 2012 colin <colin> 0.8.8-3.mga2
+ Revision: 231256
- Fix build and systemd unit.

* Mon Jan 16 2012 dmorgan <dmorgan> 0.8.8-2.mga2
+ Revision: 196688
- Add systemd support ( Fedora)

* Mon May 09 2011 misc <misc> 0.8.8-1.mga1
+ Revision: 96631
- do not restart bip when the package is updated, as this will break
  current connection
- add logrotate file
- update to 0.8.8
  fix download url
  use a macro to create the user
  fix default file attribute
- new website
- imported package bip

